package domain


type AlibabaWdkSeriesSkuAddSeriesSkuRequest struct {
    /*
        系列编码     */
    SeriesId  *int64 `json:"series_id,omitempty" `

    /*
        商品编码集合     */
    SkuCodes  *[]string `json:"sku_codes,omitempty" `

    /*
        默认商品编码     */
    DefaultSkuCode  *string `json:"default_sku_code,omitempty" `

}

func (s *AlibabaWdkSeriesSkuAddSeriesSkuRequest) SetSeriesId(v int64) *AlibabaWdkSeriesSkuAddSeriesSkuRequest {
    s.SeriesId = &v
    return s
}
func (s *AlibabaWdkSeriesSkuAddSeriesSkuRequest) SetSkuCodes(v []string) *AlibabaWdkSeriesSkuAddSeriesSkuRequest {
    s.SkuCodes = &v
    return s
}
func (s *AlibabaWdkSeriesSkuAddSeriesSkuRequest) SetDefaultSkuCode(v string) *AlibabaWdkSeriesSkuAddSeriesSkuRequest {
    s.DefaultSkuCode = &v
    return s
}
